import en from './en.json';
import ru from './ru.json';
import zh from './zh.json';
import { Locale } from './i18n.interface';

const languages = {
  en,
  ru,
  zh,
  // Add more language imports here
};
export function getLanguage(locale: Locale): Record<string, string> {
  // Return the language object for the specified locale
  return languages[locale] || languages.ru; // Default to Russian if the locale is not found
}
