export interface LightboxData {
  type: 'PHOTO_SPHERE' | 'OBJECT_3D';
  watermarkUrl?: string;
}

export interface PhotoSphereLightboxData extends LightboxData {
  type: 'PHOTO_SPHERE';
  imageUrl: string;
}

export interface Object3DLightboxData extends LightboxData {
  type: 'OBJECT_3D';
  modelUrl: string;
}
