import { RouteInfoWidget } from '@mt/components';
import { useGetRouteInfo } from './useGetRouteInfo';
import { HTMLAttributes } from 'react';

export const RouteInfoWidgetContainer = (props: HTMLAttributes<HTMLDivElement>) => {
  const { data } = useGetRouteInfo();

  return <RouteInfoWidget routeInfo={data} {...props} />;
};
