import { LocalizedString } from '@mt/i18n';

export interface AlertMessage {
  key: string;
  bgColor: string;
  fontSize: number;
  iconUrl: string;
  order: number;
  text: LocalizedString;
}

export interface AlertEvent {
  ['@type']: 'UPDATE_AVAILABLE_ALERTS';
  msgs: AlertMessage[];
}
