import { Transfer, TransportType } from "@mt/common-types";

export interface PublicRoute {
  type: TransportType;
  // Public route number string (ex.: '43')
  number: string;
}

export interface TransferEvent {
  ["@type"]: "UPDATE_AVAILABLE_TRANSFERS";
  publicRoutes: PublicRoute[];
  stations: Transfer[];
}

export interface TransferItem {
  type: TransportType;
  label: string;
}
