// TODO: rewrite as css module
import styled from '@emotion/styled';

export const StyledDrawer = styled.div`
  z-index: 1000;
  position: absolute;
  width: 290px;
  height: 100%;
  transition: all ease-in-out 0.3s;

  transform: translateX(-100%);

  color: #fff;
  background: linear-gradient(180deg, rgba(255, 255, 255, 0.2) 0%, rgba(255, 255, 255, 0) 100%),
    #806c59;

  &.nav-widget--opened {
    transform: translateX(0);

    .toggle-btn {
      transform: rotate(0);
    }
  }

  .actions {
    position: absolute;
    bottom: 12px;
    left: 310px;
  }

  .action-btn {
    width: 48px;
    height: 48px;
    display: block;

    cursor: pointer;
    margin-right: 16px;
  }

  .toggle-btn {
    transform: rotate(180deg);
  }

  .order-btn-inverse {
    transform: scale(1, -1);
  }
`;
