//Этот файл был взят из node_modules/@react-three/drei/core/OrbitControls.d.ts, переименован,
//а также в нём поменяли импорт дефолтного OrbitControls на ./index

import { ReactThreeFiber } from "@react-three/fiber";
import { ForwardRefComponent } from "@react-three/drei/helpers/ts-utils";
import { OrbitControlsChangeEvent } from "@react-three/drei";
import type { Camera, Event } from "three";
import { OrbitControls as OrbitControlsImpl } from "./index";

export declare type OrbitControlsProps = Omit<
  ReactThreeFiber.Overwrite<
    ReactThreeFiber.Object3DNode<OrbitControlsImpl, typeof OrbitControlsImpl>,
    {
      camera?: Camera;
      domElement?: HTMLElement;
      enableDamping?: boolean;
      makeDefault?: boolean;
      onChange?: (e?: OrbitControlsChangeEvent) => void;
      onEnd?: (e?: Event) => void;
      onStart?: (e?: Event) => void;
      regress?: boolean;
      target?: ReactThreeFiber.Vector3;
      keyEvents?: boolean | HTMLElement;
    }
  >,
  "ref"
>;
export declare const OrbitControls: ForwardRefComponent<
  OrbitControlsProps,
  OrbitControlsImpl
>;
