import { LocalizedString } from "@mt/i18n";

import { AttractionBase } from "./attraction.interface";
import { Media } from "./media.type";

export interface Attraction extends AttractionBase {
  isPreview: boolean;
  media: Required<Media>;

  title?: LocalizedString;
  text: LocalizedString;
}
