import { WeatherWidget } from "@mt/components";
import { HTMLAttributes } from "react";
import { useWeatherData } from "./useWeatherData";

export function WeatherWidgetContainer(props: HTMLAttributes<HTMLDivElement>) {
  const { data } = useWeatherData();

  return <WeatherWidget weatherData={data} {...props} />;
}
