import { uuid, TransportType } from '@mt/common-types';
import { LocalizedString } from '@mt/i18n';

export interface Station {
  id: uuid;
  name: LocalizedString;
  type: TransportType;
  distance?: number;
  nearbyTouristAttractions: Attraction[];
}

export interface Attraction {
  id: uuid;
  name: LocalizedString;
  distance?: number;
  nearbyTransportStops: Station[];
}

export interface AttractionDetailsBE {
  touristAttractionImageUrl: string;
  touristAttractionName: LocalizedString;
  touristAttractionAddress: LocalizedString;
  touristAttractionDescription: LocalizedString;
}
